# Generated by Django 3.0.3 on 2020-07-03 22:46

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0024_auto_20200702_2227'),
    ]

    operations = [
        migrations.CreateModel(
            name='Mensagem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('texto', models.TextField(blank=True, null=True)),
                ('extra', django.contrib.postgres.fields.jsonb.JSONField(default=None, null=True)),
                ('data_envio', models.DateTimeField(blank=True, null=True)),
                ('data_recebimento', models.DateTimeField(blank=True, null=True)),
                ('destinatario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='mensagens_recebidas', to=settings.AUTH_USER_MODEL)),
                ('remetente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='mensagens_enviadas', to=settings.AUTH_USER_MODEL)),
                ('origin_is_device', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='MensagemDevice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.IntegerField(choices=[(0, 'Não enviado'), (1, 'Enviada para o dispositivo'), (2, 'Recebida do dispositivo'), (3, 'Não enviou - Erro no push server (provavelmente formatação/validação)'), (4, 'Não enviou - Erro de conexão ou HTTP'), (5, 'Erro - Dispositivo de destino não encontrado'), (6, 'Erro - Outro tipo de erro de notificação')], default=0)),
                ('error_data', django.contrib.postgres.fields.jsonb.JSONField(default=None, null=True)),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='mds', to='main.Device')),
                ('mensagem', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='mds', to='main.Mensagem')),
            ],
        ),
    ]
